package com.casic.missiles.modular.system.service;

import com.casic.missiles.core.datascope.DataScope;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

public interface IStatisticsService {
    List<Map<String,Object>> wellStaticsByDept(DataScope dataScope);
    List<Map<String,Object>> wellStaticsByType(DataScope dataScope);
    List<Map<String,Object>> deviceStaticsByType(DataScope dataScope);
    List<Map<String,Object>> deviceStaticsByDept(DataScope dataScope,String deviceType);
    Map<String,Object> deviceStaticsByStatus(DataScope dataScope);
    List<Map<String,Object>> jobsByDept(DataScope dataScope,String beginTime, String endTime, String deviceType) throws ParseException;
    List<Map<String, Object>> alarmsByDay(String beginTime,String endTime,DataScope dataScope);
}
